test: _NOTIFY_ENTRY_HEADER struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _NOTIFY_ENTRY_HEADER Struct Reference

`#include <pnpiop.h>`

List of all members.

## Public Attributes

LIST_ENTRY | ListEntry
IO_NOTIFICATION_EVENT_CATEGORY | EventCategory
PDRIVER_NOTIFICATION_CALLBACK_ROUTINE | Callback
PVOID | Context
PDRIVER_OBJECT | DriverObject
USHORT | RefCount
BOOLEAN | Unregistered
PFAST_MUTEX | Lock

## Member Data Documentation

PDRIVER_NOTIFICATION_CALLBACK_ROUTINE _NOTIFY_ENTRY_HEADER::Callback

| Definition at line 2213 of file pnpiop.h. Referenced by IopNotifyDeviceClassChange(), IopNotifyHwProfileChange(), and IopNotifyTargetDeviceChange().

PVOID _NOTIFY_ENTRY_HEADER::Context

| Definition at line 2219 of file pnpiop.h. Referenced by IopNotifyDeviceClassChange(), IopNotifyHwProfileChange(), and IopNotifyTargetDeviceChange().

PDRIVER_OBJECT _NOTIFY_ENTRY_HEADER::DriverObject

| Definition at line 2226 of file pnpiop.h. Referenced by IopDereferenceNotify(), IopNotifyDeviceClassChange(), IopNotifyHwProfileChange(), and IopNotifyTargetDeviceChange().

IO_NOTIFICATION_EVENT_CATEGORY _NOTIFY_ENTRY_HEADER::EventCategory

| Definition at line 2207 of file pnpiop.h. Referenced by IopDereferenceNotify().

LIST_ENTRY _NOTIFY_ENTRY_HEADER::ListEntry

| Definition at line 2201 of file pnpiop.h.

PFAST_MUTEX _NOTIFY_ENTRY_HEADER::Lock

| Definition at line 2249 of file pnpiop.h. Referenced by IopProcessDeferredRegistrations(), and IoUnregisterPlugPlayNotification().

USHORT _NOTIFY_ENTRY_HEADER::RefCount

| Definition at line 2233 of file pnpiop.h. Referenced by IopDereferenceNotify(), and IopReferenceNotify().

BOOLEAN _NOTIFY_ENTRY_HEADER::Unregistered

| Definition at line 2240 of file pnpiop.h. Referenced by IopDereferenceNotify(), IopNotifyHwProfileChange(), IopNotifyTargetDeviceChange(), IopProcessDeferredRegistrations(), and IoUnregisterPlugPlayNotification().

The documentation for this struct was generated from the following file:

- pnpiop.h